Building qcadlib-2.2.1.0-1 professional

Post your question about installing or upgrading to QCAD 2.1/2.2. Be sure to search, and check the docs before you post!

Moderator: andrew

Building qcadlib-2.2.1.0-1 professional

Postby Bruce Chung » Wed Oct 29, 2008 7:48 am

Hi,

I have problem building qcad with souce of qcadlib-2.2.1.0 professional edition.

The error on the screen is:

g++ -static-libgcc -L. -Wl,-rpath,/usr/local/Trolltech/Qt-4.4.3/lib -o qcad .obj/qc_applicationwindow.o .obj/qc_application.o .obj/main.o .obj/moc_qc_applicationwindow.o .obj/moc_qc_application.o .obj/qrc_qcad.o -L/usr/local/Trolltech/Qt-4.4.3/lib -L/usr/local/Trolltech/Qt-4.4.3/plugins/codecs -lqjpcodecs -lqcncodecs -lqkrcodecs -lqtwcodecs -L/usr/local/Trolltech/Qt-4.4.3/plugins/imageformats -lqjpeg -lqgif -lQtAssistantClient -L../qcadguiqt/lib -lqcadguiqt -L../qcadactions/lib -lqcadactions -L../qcadprop/lib -lqcadprop -L../qcadlib/lib -lqcad -L../dxflib/lib -llibdxf -L../fparser/lib -lfparser -lQtGui -L/usr/local/Trolltech/Qt-4.4.3/lib -L/usr/X11R6/lib -lXext -lX11 -lQtCore -lm -lrt -ldl -lpthread
.obj/main.o: In function `__static_initialization_and_destruction_0(int, int)':
main.cpp:(.text+0x7ef): undefined reference to `qt_plugin_instance_QJpegPlugin()'
main.cpp:(.text+0x7fb): undefined reference to `qt_plugin_instance_QGifPlugin()'
main.cpp:(.text+0x807): undefined reference to `qt_plugin_instance_qcncodecs()'
main.cpp:(.text+0x813): undefined reference to `qt_plugin_instance_qjpcodecs()'
main.cpp:(.text+0x81f): undefined reference to `qt_plugin_instance_qkrcodecs()'
main.cpp:(.text+0x82b): undefined reference to `qt_plugin_instance_qtwcodecs()'
collect2: ld returned 1 exit status
make: *** [qcad] Error 1

building platform is Ubuntu 8.04 with Qt 4.4.3

The same error was on Win XP plus MinGW-g++ plus Qt4.4.3

Thanks in advance for your help

Bruce
Bruce Chung
Registered Member
 
Posts: 2
Joined: Tue Oct 28, 2008 7:14 am

problem solved

Postby Bruce Chung » Sat Nov 01, 2008 9:02 am

Hi,

With the help of sopport people of Trolltech, this problem has been solved.

Qcad link "static" Qt library. So after I rebuild Qt4.4.3 with the the static option by
./configure -static, making Qt4.4.3 and rebuilding Qcad, everthing was done OK,
Bruce Chung
Registered Member
 
Posts: 2
Joined: Tue Oct 28, 2008 7:14 am


Return to QCAD 2.1/2.2 Installation and Upgrades

Who is online

Users browsing this forum: No registered users and 2 guests

cron